SoOneShot(3)

NAME
SoOneShot - The SoOneShot class is a timer that runs for a configurable time and then stops.

SYNOPSIS

#include <Inventor/engines/SoOneShot.h>

Inherits SoEngine.

  Public Types
enum Flags { RETRIGGERABLE =1, HOLD_FINAL =2 }

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoOneShot (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFTime timeIn
SoSFTime duration
SoSFTrigger trigger
SoSFBitMask flags
SoSFBool disable
SoEngineOutput timeOut
SoEngineOutput isActive
SoEngineOutput ramp

  Protected Member Functions
virtual ~SoOneShot (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoOneShot class is a timer that runs for a configurable time and then stops.

Member Enumeration Documentation

  enum SoOneShot::Flags
There are two flags available: RETRIGGERABLE will cause the engine to restart at 0 if the SoOneShot::trigger field is activated during a run (otherwise the trigger is ignored during runs).

HOLD_FINAL will make the engine outputs keep their values after a run, instead of resetting them.

Constructor & Destructor Documentation

  SoOneShot::SoOneShot (void)
Default constructor.

  SoOneShot::~SoOneShot (void) [protected], [virtual]
Destructor is protected to avoid explicit destruction.

Member Function Documentation

  SoType SoOneShot::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoOneShot::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoOneShot::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoOneShot::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoOneShot::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoOneShot::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoOneShot::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoSFTime SoOneShot::timeIn
Input time source. Connected by default to the realTime global field, but the application programmer is free to change this to any other time source.

  SoSFTime SoOneShot::duration
The time the engine should run for when it is triggered. Defaults to 1 second.

  SoSFTrigger SoOneShot::trigger
A pulse on this input field starts the engine.

  SoSFBitMask SoOneShot::flags
Control flags. See SoOneShot::Flags.

  SoSFBool SoOneShot::disable
Set to TRUE to disable the engine completely.

  SoEngineOutput SoOneShot::timeOut
(SoSFTime) Output time. Will run from 0 to the value of SoOneShot::duration.

  SoEngineOutput SoOneShot::isActive
(SoSFBool) TRUE while the engine is running, FALSE otherwise.

  SoEngineOutput SoOneShot::ramp
(SoSFFloat) Will run from 0 to 1 during the active period.

Author

Generated automatically by Doxygen for Coin from the source code.